Bug 969670 - [abrt] nepomuk-core-4.10.3-1.fc18: QGlobalStaticDeleter<QMutex>::~QGlobalStaticDeleter: Process /usr/bin/nepomukserver was killed by signal 11 (SIGSEGV)
[abrt] nepomuk-core-4.10.3-1.fc18: QGlobalStaticDeleter<QMutex>::~QGlobalStat...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nepomuk-core (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
abrt_hash:96954515cb61b85b893b3fb06e8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-01 13:29 EDT by Eduardo Medina
Modified: 2014-02-05 16:37 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:37:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (17.17 KB, text/plain)
2013-06-01 13:29 EDT, Eduardo Medina
no flags Details
File: cgroup (126 bytes, text/plain)
2013-06-01 13:29 EDT, Eduardo Medina
no flags Details
File: core_backtrace (1.32 KB, text/plain)
2013-06-01 13:29 EDT, Eduardo Medina
no flags Details
File: dso_list (6.04 KB, text/plain)
2013-06-01 13:29 EDT, Eduardo Medina
no flags Details
File: environ (1.69 KB, text/plain)
2013-06-01 13:29 EDT, Eduardo Medina
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-01 13:29 EDT, Eduardo Medina
no flags Details
File: maps (29.08 KB, text/plain)
2013-06-01 13:29 EDT, Eduardo Medina
no flags Details
File: open_fds (146 bytes, text/plain)
2013-06-01 13:29 EDT, Eduardo Medina
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2013-06-01 13:29 EDT, Eduardo Medina
no flags Details
File: var_log_messages (979 bytes, text/plain)
2013-06-01 13:30 EDT, Eduardo Medina
no flags Details

  None (edit)
Description Eduardo Medina 2013-06-01 13:29:21 EDT
Description of problem:
Everytime I log in with my personal user Nepomuk crashes.

Version-Release number of selected component:
nepomuk-core-4.10.3-1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 3
cmdline:        /usr/bin/nepomukserver
crash_function: QGlobalStaticDeleter<QMutex>::~QGlobalStaticDeleter
executable:     /usr/bin/nepomukserver
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (5 frames)
 #8 QGlobalStaticDeleter<QMutex>::~QGlobalStaticDeleter at ../../src/corelib/global/qglobal.h:1948
 #9 __cxa_finalize at cxa_finalize.c:55
 #10 __do_global_dtors_aux at /lib64/libQtCore.so.4
 #11 ??
 #12 _dl_fini at dl-fini.c:253
Comment 1 Eduardo Medina 2013-06-01 13:29:26 EDT
Created attachment 755573 [details]
File: backtrace
Comment 2 Eduardo Medina 2013-06-01 13:29:30 EDT
Created attachment 755574 [details]
File: cgroup
Comment 3 Eduardo Medina 2013-06-01 13:29:33 EDT
Created attachment 755575 [details]
File: core_backtrace
Comment 4 Eduardo Medina 2013-06-01 13:29:37 EDT
Created attachment 755576 [details]
File: dso_list
Comment 5 Eduardo Medina 2013-06-01 13:29:41 EDT
Created attachment 755577 [details]
File: environ
Comment 6 Eduardo Medina 2013-06-01 13:29:45 EDT
Created attachment 755578 [details]
File: limits
Comment 7 Eduardo Medina 2013-06-01 13:29:49 EDT
Created attachment 755579 [details]
File: maps
Comment 8 Eduardo Medina 2013-06-01 13:29:52 EDT
Created attachment 755580 [details]
File: open_fds
Comment 9 Eduardo Medina 2013-06-01 13:29:56 EDT
Created attachment 755581 [details]
File: proc_pid_status
Comment 10 Eduardo Medina 2013-06-01 13:30:00 EDT
Created attachment 755582 [details]
File: var_log_messages
Comment 11 Eduardo Medina 2013-06-01 13:52:15 EDT
I solved the bug erasing the files from $HOME/.kde/share finding the files related with Nepomuk.

The problem was that Nepomuk was taking the configuration from a old version that used Strigi.

Sorry.
Comment 12 Fedora End Of Life 2013-12-21 08:48:54 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 16:37:23 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.